Skip to main content

Deposit cash into register

POST https://pos.paysera.com/eapi/v1/cash-registers/{number}/deposit

Record a cash deposit into the specified cash register's drawer.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
numberstring✓The cash register registration number

Request Body​

FieldTypeRequiredDescription
amountstring✓Positive decimal amount (up to 2 decimal places)

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Cash register not found

This error indicates the requested resource was not found.

422 - Unprocessable Entity​

Unprocessable entity

429 - Too Many Requests​

Rate limit exceeded

500 - Internal Server Error​

Internal server error

Example​

Request​

POST https://pos.paysera.com/eapi/v1/cash-registers/{number}/deposit
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"amount": "100.00"
}

Response​

{
"success": true,
"financialDocumentId": 123
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Body REQUIRED
{
"amount": "100.00"
}

RESPONSE

Cash deposited successfully
{
"success": true,
"financialDocumentId": 123
}